Subject: Re: linux-next: block tree build failure

From: Jens Axboe <[email-masked]>
Date: Wed, 3 Sep 2008 08:34:21 +0200

On Wed, Sep 03 2008, Stephen Rothwell wrote:
> Hi Jens,
> 
> Today's linux-next build (powerpc ppc64_defconfig) failed like this:
> 
> block/genhd.c: In function 'show_partition':
> block/genhd.c:718: error: 'struct hd_struct' has no member named 'private'
> block/genhd.c:719: warning: passing argument 1 of 'seq_puts' from incompatible pointer type
> block/genhd.c:720: error: 'struct hd_struct' has no member named 'private'
> 
> Caused by the merge because commit
> ddef43a843f620c6742a06633739887a901ec06b ("block: restore original
> behavior of /proc/partition when there's no partition") added references
> to the 'private' member.  I removed the offending section of code (see
> below) assuming the fix referred to in the comment has be done in the
> block tree.

I'm in the very midst of updating to latest -git, I'll push it out in 5
minutes or so. It'll also solve the two latest conflicts you saw.

-- 
Jens Axboe